VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
DragCallbackAdapter Class Reference
Version 4.7

Drag callback interface adapter. More...

Inheritance diagram for DragCallbackAdapter:

## Public Member Functions
void | dragWillBegin (IDraggingSession *session, CPoint pos) override
| the drag will begin
void | dragMoved (IDraggingSession *session, CPoint pos) override
| the drag was moved
void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result) override
| the drag ended

## Detailed Description

Drag callback interface adapter.

## Member Function Documentation

void dragEnded | ( | IDraggingSession * | session,
|  | CPoint | pos,
|  | DragOperation | result
| ) |  |
| inline override virtual

the drag ended

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates
  result | the result of the drag

Implements IDragCallback.

void dragMoved | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| inline override virtual

the drag was moved

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implements IDragCallback.

void dragWillBegin | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| inline override virtual

the drag will begin

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implements IDragCallback.

The documentation for this class was generated from the following file:

- dragging.h